Xerces2 Implementation: Class SAXParserImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp
Class SAXParserImpl

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParser
            |
            +--org.apache.xerces.jaxp.SAXParserImpl

All Implemented Interfaces:
  JAXPConstants

public class SAXParserImpl
extends javax.xml.parsers.SAXParser
implements JAXPConstants

This is the implementation specific class for the `javax.xml.parsers.SAXParser`.

Version:
  $Id: SAXParserImpl.java,v 1.22 2004/02/05 21:30:09 mrglavas Exp $
Author:
  Rajiv Mordani, Edwin Goei

Fields inherited from interface org.apache.xerces.jaxp.JAXPConstants
`JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, W3C_XML_SCHEMA`

Method Summary
`org.xml.sax.Parser` | `getParser()`
`java.lang.Object` | `getProperty(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`org.xml.sax.XMLReader` | `getXMLReader()` Returns the XMLReader that is encapsulated by the implementation of this class.
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParser
`parse, parse, parse, parse, parse, parse, parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParser

    public org.xml.sax.Parser getParser()
                                 throws org.xml.sax.SAXException

  Overrides:
    `getParser` in class `javax.xml.parsers.SAXParser`

### getXMLReader

    public org.xml.sax.XMLReader getXMLReader()

  Returns the XMLReader that is encapsulated by the implementation of this class.
  Overrides:
    `getXMLReader` in class `javax.xml.parsers.SAXParser`

### isNamespaceAware

    public boolean isNamespaceAware()

  Overrides:
    `isNamespaceAware` in class `javax.xml.parsers.SAXParser`

### isValidating

    public boolean isValidating()

  Overrides:
    `isValidating` in class `javax.xml.parsers.SAXParser`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.
  Overrides:
    `setProperty` in class `javax.xml.parsers.SAXParser`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
  Overrides:
    `getProperty` in class `javax.xml.parsers.SAXParser`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.